Bug 257619 - can not add Institution information to a loan account
Summary: can not add Institution information to a loan account
Status: RESOLVED FIXED
Alias: None
Product: kmymoney
Classification: Unclassified
Component: general (show other bugs)
Version: SVN
Platform: Compiled Sources Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: KMyMoney Devel Mailing List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-11-22 17:38 UTC by Toan
Modified: 2014-01-27 23:28 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Toan 2010-11-22 17:38:17 UTC
Version:           SVN trunk (using KDE 4.5.3) 
OS:                Linux

I created a loan account to track my loan using the "New Account" wizard. For
some reasons, the Institution information is not saved and the account is listed
under section "Accounts with no institution assigned" in the "Institutions" tab. I cannot modify the account to change the Institution name neither.



Reproducible: Always




OS: Linux (x86_64) release 2.6.32-25-generic
Compiler: cc
Comment 1 Jeremy Whiting 2013-07-16 16:44:42 UTC
I can confirm this issue. There is no way in the loan editor wizard to change the institution attribute of the loan account.
Comment 2 Jeremy Whiting 2014-01-27 23:28:57 UTC
Git commit 91a1855aa3ff1662a2b4e00a742c79aa4f7f7c82 by Jeremy Whiting.
Committed on 31/12/2013 at 17:28.
Pushed by whiting into branch 'master'.

Add ability to modify loan institution attribute.

Add a new choice to editselectionwizardpage to modify only loan attributes.
Add a new loanattributes page to modify just institution for now, will add other attributes next.
REVIEW:114767

M  +2    -0    kmymoney/wizards/newloanwizard/CMakeLists.txt
M  +2    -0    kmymoney/wizards/newloanwizard/editselectionwizardpage.cpp
M  +152  -138  kmymoney/wizards/newloanwizard/editselectionwizardpagedecl.ui
M  +25   -0    kmymoney/wizards/newloanwizard/keditloanwizard.cpp
M  +2    -1    kmymoney/wizards/newloanwizard/knewloanwizard.h
M  +2    -0    kmymoney/wizards/newloanwizard/knewloanwizarddecl.ui
A  +109  -0    kmymoney/wizards/newloanwizard/loanattributeswizardpage.cpp     [License: GPL (v2+)]
A  +73   -0    kmymoney/wizards/newloanwizard/loanattributeswizardpage.h     [License: GPL (v2+)]
A  +91   -0    kmymoney/wizards/newloanwizard/loanattributeswizardpagedecl.ui

http://commits.kde.org/kmymoney/91a1855aa3ff1662a2b4e00a742c79aa4f7f7c82